package com.bocloud.cmp.model;

import com.alibaba.fastjson.annotation.JSONField;

import java.util.Date;
import java.util.List;

public class MessagePayload {
    /**
     * "volumeImageCreationSuccess"
     */
    private String nlsKey;
    /**
     * [
     * "cloudinit"
     * ]
     */
    private List<String> data;
    /**
     * "olympics/pane/nls/Images"
     */
    private String nlsMsgsFile;
    /**
     * "已从卷创建映像 <b>cloudinit</b>。映像最终化过程已启动。"
     */
    private String content;
    /**
     * null
     */
    private String xhr;
    /**
     * "2019-01-07T08:49:10Z"
     */
    @JSONField(name = "date", format = "yyyy-mm-dd'T'HH:mm:ss.SSSSSS")
    private Date date;
    /**
     * "success"
     */
    private String type;
    /**
     * "success"
     */
    private String level;
    /**
     * "lkxtest"
     */
    private String name;

    public String getNlsKey() {
        return nlsKey;
    }

    public void setNlsKey(String nlsKey) {
        this.nlsKey = nlsKey;
    }

    public List<String> getData() {
        return data;
    }

    public void setData(List<String> data) {
        this.data = data;
    }

    public String getNlsMsgsFile() {
        return nlsMsgsFile;
    }

    public void setNlsMsgsFile(String nlsMsgsFile) {
        this.nlsMsgsFile = nlsMsgsFile;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getXhr() {
        return xhr;
    }

    public void setXhr(String xhr) {
        this.xhr = xhr;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
